#property indicator_chart_window
#property indicator_buffers 2
#property indicator_color1 Crimson
#property indicator_color2 RoyalBlue

extern int barsToProcess=100;
extern int RsiPeriod = 14;
extern int RsiPrice  = PRICE_CLOSE;
extern int CciPeriod = 14;
extern int CciPrice  = PRICE_TYPICAL;
extern int CmoRange  = 14;

//
double ExtMapBuffer1[];
double ExtMapBuffer2[];

//------------------------------------------------------------------
//
//------------------------------------------------------------------
int init()
{
   SetIndexBuffer(0,ExtMapBuffer1); SetIndexStyle(0,DRAW_ARROW); SetIndexArrow(0,233);
   SetIndexBuffer(1,ExtMapBuffer2); SetIndexStyle(1,DRAW_ARROW); SetIndexArrow(1,234);
   return(0);
}
int deinit() { return(0); }

//------------------------------------------------------------------
//
//------------------------------------------------------------------
int start()
{
   int counted_bars=IndicatorCounted();
   if(counted_bars>0)counted_bars--;
      int limit=Bars-counted_bars; if(limit>barsToProcess)limit=barsToProcess;

   for(int i=limit;i>=0;i--)
   {
      double rsi=iRSI(NULL,0,RsiPeriod,RsiPrice,i);
      double cci=iCCI(NULL,0,CciPeriod,CciPrice,i);
      double cmo=iCustom(NULL,0,"cmo",false,CmoRange,0,i);
      
      if(rsi>60.0 && cci>150.0 && cmo>30.0) 
            ExtMapBuffer1[i]=High[i]+5*Point;
      else  ExtMapBuffer1[i]=EMPTY_VALUE;
      if(rsi<40.0 && cci<-150.0 && cmo<-30.0)
            ExtMapBuffer2[i]=Low[i]-5*Point;
      else  ExtMapBuffer2[i]=EMPTY_VALUE;
   }
   return(0);
} 